# type_info.h File Reference

Declares classes that provide an interface between the SQL and C++ type systems. More...

`#include "common.h"`
`#include "exceptions.h"`
`#include <map>`
`#include <sstream>`
`#include <typeinfo>`

Go to the source code of this file.

## Namespaces

namespace | mysqlpp

## Classes

class | mysqlpp::mysql_type_info
| SQL field type information. More...

## Functions

bool | operator== (const mysql_type_info &a, const mysql_type_info &b)
| Returns true if two mysql_type_info objects are equal.
bool | operator!= (const mysql_type_info &a, const mysql_type_info &b)
| Returns true if two mysql_type_info objects are not equal.
bool | operator== (const std::type_info &a, const mysql_type_info &b)
| Returns true if a given mysql_type_info object is equal to a given C++ type_info object.
bool | operator!= (const std::type_info &a, const mysql_type_info &b)
| Returns true if a given mysql_type_info object is not equal to a given C++ type_info object.
bool | operator== (const mysql_type_info &a, const std::type_info &b)
| Returns true if a given mysql_type_info object is equal to a given C++ type_info object.
bool | operator!= (const mysql_type_info &a, const std::type_info &b)
| Returns true if a given mysql_type_info object is not equal to a given C++ type_info object.

## Detailed Description

Declares classes that provide an interface between the SQL and C++ type systems.

These classes are mostly used internal to the library.